# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hashable

%global common_summary Haskell class for conversion to a hash

%global common_description This package defines a class, Hashable, for types that can be\
converted to a hash value. This class exists for the benefit of\
hashing-based data structures. The package provides instances for\
basic types and a way to combine hash values.

Name:           ghc-%{pkg_name}
Version:        1.1.2.2
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-text-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files
%doc README.md


%changelog
* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 1.1.2.2-1
- update to 1.1.2.2 and cabal2spec-0.25.2

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.2.1-3
- rebuild with new gmp

* Sat Oct  8 2011 Jens Petersen <petersen@redhat.com> - 1.1.2.1-2
- condition BR hscolour

* Mon Aug 22 2011 Jens Petersen <petersen@redhat.com> - 1.1.2.1-1
- BSD

* Mon Aug 22 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.1.2.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23.2
